Table of Contents
 Borland Database Engine (BDE) Configuration Utility

To get help on an item, click the underlined text.

	Drivers -- describes how to change the way an application creates, sorts, and handles data, or to add and remove SQL ODBC server connections.
	Aliases -- describes how to add, delete, or modify database aliases.
	System -- describes how to define the settings used to start an application and allocate Windows resources.
	Date, Time, and Number -- describes how to specify the format of date, time, or number values, and their conversion to character strings in your application.
Note: Before using this utility to change your configuration file (IDAPI.CFG), be sure to close any open BDE applications. Your changes take effect the next time you start your BDE application.


File | Open

Use File | Open to display the Open dialog box and select a .CFG file to view or edit.

File Name lists the files (*.CFG or *.*) in the current directory.

List Files of Type shows the type of files listed in the File Name text box.

Directories displays the current directory.

Drives shows the current drive.

To select a .CFG file, use the Directories and Drives boxes to navigate through your system. When you locate the desired file, click OK to open it.


File | Save

Choose File | Save to save any changes made to the current configuration file.

If the current file is not the default configuration file, the Configuration Utility displays the Non-system Configuration File dialog box.  If you want this file to become the new default configuration file, choose Yes in that dialog box.  Choose No to leave your current default configuration file unchanged.

The changes take effect the next time you re-start all open BDE applications.


Default Configuration File

The configuration file used at application startup.  The default configuration file is listed in the IDAPI section of your WIN.INI file as CONFIGFILE01.  For example:

[IDAPI]

CONFIGFILE01=C:\IDAPI\IDAPI.CFG

You can name your configuration file anything as long as it ends in ".CFG" and is no more than 12 characters long.


File | Save As

Use File | Save As to save the current .CFG settings under a different .CFG file name.  The BDE Configuration Utility displays the Save Configuration File As dialog box.

File Name lists the files (*.CFG or *.*) in the current directory.

List Files of Type shows the type of files listed in the File Name text box.

Directories displays the current directory.

Drives shows the current drive.

To save the current .CFG file under a new name, use the Directories and Drives boxes to navigate through your system. When you locate the directory where you want to store your .CFG file, enter the new name in the File Name box and click OK.

To save the current .CFG file under a different name, use the Directories and Drives boxes to navigate through your system. When you locate the desired file, highlight it, then click OK.  The Configuration Utility displays the Overwrite Existing File dialog box.  If you want to over-write the existing file (erasing any unique aliases or ODBC driver connections it may contain), click Yes.  To cancel this operation, click No.

Note: Make sure the configuration file name ends in ".CFG."


File | Merge

Use File | Merge to merge another configuration file with the one already in use.  The BDE Configuration Utility displays the Merge Parameters From dialog box.

File Name lists the files (*.CFG or *.*) in the current directory.

List Files of Type shows the type of files listed in the File Name text box.

Directories displays the current directory.

Drives shows the current drive.

To select the second .CFG file, use the Directories and Drives boxes to navigate through your system. When you locate the desired file, click OK.  The Configuration Utility displays the Merge Configuration Files dialog box.

To continue merging, click Yes.

To cancel the merge operation, click No.


Browse Dialog Box

Use the Browse dialog box to locate the .CFG file to merge with the current .CFG file.

File Name lists the files (*.CFG or *.*) in the current directory.

List Files of Type shows the type of files listed in the File Name text box.

Directories displays the current directory.

Drives shows the current drive.

To select the second .CFG file, use the Directories and Drives boxes to navigate through your system. When you locate the desired file, click OK to open it.


File | Exit

Choose File | Exit to exit the BDE Configuration Utility. If you made changes and did not save them, a warning appears. You can save your changes or exit without saving.


System Manager

Use the System Manager (System page) to modify the settings the BDE uses to start an application.

Parameters lists all the system and network parameters tracked by the Configuration Utility, with their current values. When your BDE application is first installed, all values are set to their defaults.

Description briefly notes the purpose of the selected parameter.

To change a setting, highlight the desired parameter. Then replace its old value with a new value.

Setting	Meaning

VERSION	An internal setting that describes the current version of the BDE.  Do not modify.

LOCAL SHARE	The ability to share access to local data between an active BDE application and an active non-BDE application.  Set to TRUE if you need to work with the same files through both a BDE and a non-BDE application at the same time.  (It is not necessary to set LOCAL SHARE to TRUE if you do not need to have both applications open at the same time.)  Default: FALSE.

MINBUFSIZE	Minimum amount of memory for database data cache, in kilobytes. Can be any integer between 32 and 65535.  Must be less than the total amount of RAM available to Windows.  Default: 128.

MAXBUFSIZE	Maximum amount of memory for database data cache, in kilobytes. Can be any integer greater than MINBUFSIZE and less than (or equal to) the total amount of RAM available to Windows. Must be a multiple of 128.  Default: 2048.

LANGDRIVER	System language driver that defaults to the OEM driver appropriate for a country's version of Windows; for example, ASCII for U.S. workstations.

MAXFILEHANDLES	Maximum number of file handles the BDE uses. Can be any integer ranging from 5 to 256. High values improve performance but use more Windows resources. Default: 48.

SYSFLAGS	Internal BDE setting.  Do not modify.

LOW MEMORY

USAGE LIMIT	Maximum amount of low memory the BDE will attempt to use, in kilobytes.  Default: 32.

AUTO ODBC	Set to TRUE to pull all ODBC aliases from the ODBC.INI file. Default: FALSE.

DEFAULT DRIVER	Driver first tried when TYPE is FILE and the table name has no extension.

SQLQRYMODE	Method for handling queries to SQL data. Can be NULL (blank setting; default), SERVER, or LOCAL.

Note:	The SQLQRYMODE parameter only appears if a Borland SQL Link driver is installed.


Date Manager

Use the Date Manager (Date page) to modify the settings used to convert string values into date values.

Parameters lists all the date parameters tracked by the Configuration Utility, with their current values. When your BDE application is first installed, all values are set to their defaults.

Description briefly notes the purpose of the selected parameter.

To change a setting, highlight the desired parameter. Then replace its old value with a new value.

Setting	Meaning

SEPARATOR	Character used to separate the month, day, and year components of a date value; i.e., the "/" in "12/31/92." The default is the character normally used in the country selected in the Windows Control Panel when any BDE application is installed.

MODE	Controls the order of the month, day, and year components and can be 0 (for MDY), 1 (for DMY), or 2 (YMD). The default is the order normally used in the country selected in the Windows Control Panel when any BDE application is installed.

FOURDIGITYEAR	Specifies the number of digits for the year value (four or two). If TRUE, years are expressed in four digits (i.e., 1993). If FALSE, the default, years have two digits (93).

YEARBIASED	Tells Paradox whether or not it should add 1900 to years entered as two digits. For example, if TRUE and you enter "7/21/69," Paradox interprets your value as "7/21/1969", otherwise, the date is interpreted as entered (in this case, "7/21/0069"). Default: TRUE.

LEADINGZEROM	Specifies whether or not single digit month values have a leading zero. For example, if you enter "1/1/80" and this is set to TRUE, Paradox interprets the date as "01/1/80." If FALSE, the value is "1/1/80." Default: TRUE.

LEADINGZEROD	Controls whether or not single digit day values have a leading zero. For example, if you enter "1/1/80" and this is set to TRUE, Paradox interprets the value as "1/01/80." If FALSE, your date is "1/1/80." Default: TRUE.


Time Manager

Use the Time Manager (Time page) to modify the settings used to convert string values into time values.

Parameters lists all the time format parameters tracked by the Configuration Utility, with their current values. When your BDE application is first installed, all values are set to their defaults.

Description briefly notes the purpose of the selected parameter.

To change a setting, highlight the desired parameter. Then replace its old value with a new value.

Setting	Meaning

TWELVEHOUR	Specifies whether or not BDE applications express time values using a twelve-hour clock. For example, if TRUE 8:21 p.m. is expressed as "08:21 PM;" if FALSE, "20:21." Default: TRUE.

AMSTRING	Character string used to indicate morning (before noon and after midnight) times, when TWELVEHOUR is TRUE. Default: "AM."

PMSTRING	Character string used to indicate evening (after noon and before midnight) times, when TWELVEHOUR is TRUE. Default: "PM."

SECONDS	Specifies whether or not time values include seconds. For example, if TRUE, 8:21:35 p.m. is expressed as "8:21:35 PM;" if FALSE, "8:21 PM." Default: TRUE.

MILSECONDS	Specifies whether or not time values include milliseconds. For example, if TRUE, "8:21:35:54 PM." Default: FALSE.


Number Manager

Use the Number Manager (Number page) to modify the settings used to convert string values to number values.

Parameters lists all the number format parameters tracked by the Configuration Utility, with their current values. When your BDE application is first installed, all values are set to their defaults.

Description briefly notes the purpose of the selected parameter.

To change a setting, highlight the desired parameter. Then replace its old value with a new value.

Setting	Meaning

DECIMALSEPARATOR	Character used to separate the decimal portion of a number from its integer portion; for example, the period (.) in 3.14. Defaults to the standard decimal separator used for your country, as specified in the Windows Control Panel (International Settng).

THOUSANDSEPARATOR	Character used to separate large numbers into their "thousands" components; for example, the commas (,) in 1,000,000.00. Defaults to the standard thousands separator used for your country, as specified in the Windows Control Panel (International Settng).

DECIMALDIGITS	Specifies the maximum number of decimal places to be used when converting string values to number values.

LEADINGZERON	Indicates whether numbers between 1 and -1 use leading zeros; for example, 0.14. instead of .14. Default: TRUE.


Drivers menu
Driver Manager

Use the Driver Manager to modify the settings that the BDE uses to determine how an application creates, sorts, and handles tables.

Driver Name lists the types of drivers installed at your workstation. STANDARD drivers are Paradox and dBASE; other drivers are for use with SQL servers, and are installed separately.

New ODBC Driver enables you to add an ODBC driver connection to the list of available drivers.

Delete ODBC Driver enables you to delete an ODBC driver connection from the list of available drivers.

Parameters lists all the parameters tracked by the Configuration Utility for the selected driver type, and their current settings. When the driver is first installed, all values are set to their defaults.

Description briefly notes the purpose of the highlighted parameter.

To modify a setting, select the driver name and highlight the desired configuration parameters. Delete the old value and enter a new one in the appropriate text box.


Drivers | Paradox settings
Drivers: Paradox settings

To configure the way Paradox tables are created, sorted, and handled, choose Paradox as the driver name and highlight the desired configuration parameter. Delete the old value and enter a new one in the appropriate text box.

Settings	Description

VERSION	Internal version number of the Paradox driver.

TYPE	Type of server to which this driver helps you connect. Can be SERVER (SQL server) or FILE (standard, file-based server).

NET DIR	Directory where the Paradox network control file PDOXUSRS.NET is located.

LANGDRIVER	Language driver used to determine table sort order and character set.  [available drivers]  US default: ascii

LEVEL	Type of table format used to create temporary Paradox tables. Can be 5 for Paradox 5.0 tables, 4 for the STANDARD table format introduced in Paradox 4.0, or 3 for the Compatible table format used by Paradox 3.5 and earlier versions. Default: 4.

Note: To use Blob fields, secondary indexes, and strict referential integrity, specify either Paradox level 4 or Paradox level 5 tables.

BLOCK SIZE	Size of disk blocks used to store Paradox table records, in multiples of 1024 bytes. Can be any multiple of 1024 (i.e., 2048, 3072, 4096) up to 32 kilobytes. Default: 2048.

FILL FACTOR	Percentage of current disk block which must be filled before Paradox will allocate another disk block for index files. Can be any integer ranging from 1 to 100. Default: 95.

Note: Smaller values offer better performance but increase the size of indexes. Larger values give smaller index files but increase the time needed to create an index.

STRICTINTEGRTY	Specifies whether Paradox tables can be modified using applications that do not support referential integrity (i.e., Paradox 4.0). For example, if TRUE you will be unable to change a table with referential integrity using Paradox 4.0; if FALSE, you can change the table, but you risk the integrity of your data. Default: TRUE.


Drivers | dBASE settings
Drivers: dBASE settings

To configure the way dBASE tables are created, sorted, and handled, choose dBASE as the driver name and highlight the desired configuration parameter. Delete the old value and enter a new one in the appropriate text box.

Settings	Description

VERSION	Internal version number of the dBASE driver.

TYPE	Type of server to which this driver helps you connect. Can be SERVER (SQL server) or FILE (standard, file-based server).

LANGDRIVER	Language driver used to determine table sort order and character set.  [available drivers]  US. default: dBASE ENU cp437

LEVEL	Type of table format used to create dBASE temporary tables. Can be 5 for dBASE 5.0 table format, 4 for dBASE 4.0 table format, or 3 for dBASE III and dBASE III PLUS table formats. Default: 5

MDX BLOCK SIZE	Size of disk blocks dBASE allocates for .MDX files, in bytes. Can be any integer that is a multiple of 512. Default: 1024

MEMO FILE BLOCK SIZE	Size of disk blocks dBASE allocates for memo (.DBT) files, in bytes. Can be any integer that is a multiple of 512. Default: 1024


Drivers | ODBC Driver Connection Settings
Drivers: ODBC driver connection settings

Creating a new ODBC driver connection

Deleting an ODBC driver connection

To configure the way tables in an ODBC data source are created, sorted, and handled, choose an ODBC driver connection as the driver name and highlight the desired configuration parameter. Delete the old value and enter a new one in the appropriate text box.

Settings	Description

VERSION	Internal version number of the ODBC driver.  Do not modify.

TYPE	Uniquely identifies this ODBC driver connection.  Can include any combination of 12 alphanumeric characters; the BDE Configuration Utility automatically prepends the characters "ODBC_."  For example, if the ODBC data source resides on a Sybase server whose servername is "Silver", you might name the ODBC driver connection "sysilver."  The BDE Configuration Utility converts this to "ODBC_sysilver."

DLL	The name of the driver's Dynamic Link Library (*.DLL).

ODBC DRIVER	The ODBC driver used to connect the workstation to the target ODBC server.

DRIVER FLAGS	Internal product-specific flag. Do not change without direct instructions from Borland support personnel.

USER NAME	Default name for accessing the ODBC server.

ODBC DSN	The name of the ODBC data source to which this alias will connect.  Must be the same as the ODBC data source you named when you created the ODBC driver connection.

OPEN MODE	Mode in which the ODBC driver connection opens the database. Can be READ/WRITE (default) or READ ONLY.

SCHEMA CACHE SIZE	Number of SQL tables whose schema information will be cached. Can be any whole number from 0 to 32 (default=8).

SQLQRYMODE	Method for handling queries to SQL data. Can be NULL (blank setting; default), SERVER, or LOCAL. [more]

SQLPASSTHRU MODE	Specifies whether or not the BDE application will be able to access the SQL server via desktop queries and pass-through SQL queries in the same alias connection. Can be NOT SHARED, SHARED AUTOCOMMIT (default), or SHARED NO AUTOCOMMIT. [more]


The Alias Manager
Alias Manager

Use the Alias page to add, delete, or modify a STANDARD or SQL driver alias.

Alias Names lists all the available aliases.

New Alias enables you to add a new alias.

Delete Alias enables you to delete any alias that is highlighted in the Alias Name box.

Parameters shows all the parameters of the currently-selected alias, with their current values.

Description briefly notes the purpose of the selected parameter.


Creating a STANDARD Alias

Use the Alias Page to add, delete, or modify a STANDARD alias.

Alias Name lists all the available aliases.

New Alias enables you to add a new alias.

Delete Alias enables you to delete any alias that is highlighted in the Alias Name box.

Parameters shows all the parameters with their current values.

Description briefly notes the purpose of the selected parameter.

The following parameters are displayed.

Setting	Meaning

TYPE	Type of server to which this driver helps you connect. Set to FILE to create a STANDARD alias.

PATH	The path to the directory containing your Paradox, dBASE, or text tables.


Creating an ODBC driver connection Alias

Use the Alias Page to add, delete, or modify an alias for your ODBC driver connection.

Alias Name lists all the available aliases.

New Alias enables you to add a new alias.

Delete Alias enables you to delete any alias that is highlighted in the Alias Name box.

Parameters shows all the parameters with their current values.

Description briefly notes the purpose of the selected parameter.

The following parameters are displayed.

Setting	Meaning

TYPE	Type of ODBC server to which this alias helps you connect. For an ODBC driver connection, this name always begins with "ODBC_."

PATH	The path to the location of your vendor-supplied ODBC driver.

USER NAME	Default name for accessing the ODBC server.

ODBC DSN	The name of the ODBC data source to which this alias will connect.  Must be the same as the ODBC data source you named when you created the ODBC driver connection.

OPEN MODE	Mode in which the ODBC driver connection opens the database. Can be READ/WRITE (default) or READ ONLY.

SCHEMA CACHE SIZE	Number of SQL tables whose schema information will be cached. Can be any whole number from 0 to 32 (default=8).

SQLQRYMODE	Method for handling queries to SQL data. Can be NULL (blank setting; default), SERVER, or LOCAL. [more]

LANGDRIVER	Language driver used to display SQL data. (US. default=blank)

SQLPASSTHRU MODE	Specifies whether or not the BDE application will be able to access the SQL server via desktop queries and pass-through SQL queries in the same alias connection. Can be NOT SHARED, SHARED AUTOCOMMIT (default), or SHARED NO AUTOCOMMIT. [more]


Add New Alias dialog box
New Alias Dialog Box

Use the Add New Alias dialog box to create a new alias for your database.

New Alias Name is the name of the alias you are creating.

Alias Type is the type of driver the alias uses: STANDARD (Paradox or dBASE), the name of the SQL server to which the alias will attach, or the ODBC driver connection name.

To add a new alias, type the alias name in the New Alias name text box. and change the Alias Type box to reflect the proper type for the new alias. If necessary, modify the configuration parameters on the right side of the Alias Manager to reflect the proper settings for this alias.

To save the new alias in the current configuration file, select File | Save.

To save the new alias in a configuration file with a different name, select File | Save As.


Delete Alias Dialog Box

You just directed the BDE Configuration Utility to delete an alias from your current configuration file.

To continue deleting, click Yes.

If you do not want to delete the currently selected alias, click No.


Non-system Configuration File Dialog Box

You just saved a configuration file with a different name than the .CFG file currently in use.  If you want this file to become the new default configuration file you must edit WIN.INI, changing the IDAPI CONFIGFILE01 parameter.

Choose Yes to have the BDE Configuration Utility edit your WIN.INI file for you.  The change takes effect the next time you start your BDE application.

Choose No to leave your WIN.INI file unchanged.


Add New ODBC Driver dialog box
Add ODBC Driver Dialog Box

Use the Add ODBC Driver dialog box to add an ODBC driver connection to the Drivers list.  Once your ODBC driver connection appears on the Drivers list you can configure an alias for that connection.  Your ODBC data source alias enables you to connect to an ODBC database through your BDE application.

SQL Link Driver is the name you want to give to your ODBC driver connection.  The new "driver" name always starts with the characters "ODBC_ ."

Default ODBC Driver is the name of the ODBC driver used to connect to this ODBC data source.

Default Data Source Name is the name of the target ODBC data source.

To add a new ODBC driver connection, type the name for this connection in the SQL Link Driver text box.  Use the drop-down list in the Default ODBC Driver field to identify the ODBC driver for your data source.  Then use the drop-down list in the Default Data Source name field to identify the target ODBC data source itself.

Note:	If you cannot find your ODBC driver or your ODBC data source name on the lists provided, they may not be installed properly.  You may need to install your ODBC driver or set up your ODBC data source again.

To save the new alias in the current configuration file, select File | Save.

To save the new alias in a configuration file with a different name, select File | Save As.


Delete ODBC Driver Dialog Box

Use the Delete ODBC Driver dialog box to remove an ODBC driver connection from the Drivers list.

Highlight the ODBC driver connection you want to delete and select Delete Driver.  The Configuration Utility displays the Delete Driver dialog box.

Select Yes to continue deleting or No to stop deleting.


ODBC driver connection

A connection from your BDE application to an ODBC driver.  The connection requires your BDE application, a vendor-supplied ODBC driver, the Microsoft ODBC Driver Manager, and a BDE alias on the workstation side; an ODBC data source on the server side.

Once you create an ODBC driver connection, it appears on the list of available drivers in the BDE Configuration Utility.  This enables you to set up an alias for the target ODBC data source and connect to it through your BDE application.


Overwrite existing file
Overwrite Existing File dialog box

You just tried to save new configuration information under the same name as an existing configuration file.  If the existing file contains unique aliases or ODBC driver connections, they will be lost when the file is overwritten.

To continue, click Yes.

To cancel this operation, click No.


BDECFG Error

You just directed the BDE Configuration Utility to delete a driver from your current configuration file.  The only kind of driver you may delete from the drivers list is an ODBC driver connection.

To cancel this operation, click OK.


Delete Alias Dialog Box

You just directed the BDE Configuration Utility to delete an alias from your current configuration file.

To continue deleting, click Yes.

If you do not want to delete the currently selected alias, click No.


Close the configuration file
Close the Configuration File dialog box

You changed the current configuration file during this session with the BDE Configuration Utility.

If you want to save the changes, click Yes.

If you do not want to save the changes, click No.


Supported Paradox Language Drivers

Description

The following table shows the language drivers you can use for Paradox tables, along with the code page for each driver.

Note: Internal language drivers names are case-sensitive.

Driver name	Internal	Language/DOS Code Page

pxCHINESE	CHINA	Paradox China 936

pxCSKAMEN	CSKAMEN	Paradox Czech 867

pxCZECH	CZECH	Paradox Czech 852

pxGREEK	GRCP437	Paradox Greek GR437

pxHUNGARIAN	HUN852DC	Paradox Hun 852 DC

pxICELAND	ICELAND	Paradox ISL 861

pxINTL	INTL	Paradox 'intl'

pxINTL2	INTL850	Paradox 'intl' 850

pxKOREAN	KOREA	Paradox Korea 949

pxNORDAN	NORDAN	Paradox 'nordan'

pxNORDAN4	NORDAN40	Paradox 'nordan40'

pxPOLISH	POLISH	Paradox Polish 852

pxRUSSIAN	CYRR	Paradox Cyrr 866

pxSLOVENE	SLOVENE	Paradox Slovene 852

pxSPANISH	SPANISH	Paradox ESP 437

pxSWEDFIN	SWEDFIN	Paradox 'swedfin'

pxTAIWANESE	TAIWAN	Paradox Taiwan 950

pxTHAI	THAI	Paradox Thai 437

pxTURK	TURK	Paradox 'turk'

pxUS	ASCII	Paradox 'ascii'

pxwCHINESE	ANCHINA	Pdox ANSI Chinese

pxwCZECH	ANCZECH	Pdox ANSI Czech

pxwGREEK	ANGREEK1	Pdox ANSI Greek

pxwHUNGARIAN	ANHUNDC	Pdox ANSI Hun. DC

pxwINTL	ANSIINTL	Pdox ANSI Intl

pxwINTL2	ANSII850	Pdox ANSI Intl850

pxwKOREAN	ANKOREA	Pdox ANSI Korean

pxwNORDAN4	ANSINOR4	Pdox ANSI Nordan4

pxwPOLISH	ANPOLISH	Pdox ANSI Polish

pxwRUSSIAN	ANCYRR	Pdox ANSI Cyrillic

pxwSLOVENE	ANSISLOV	Pdox ANSI Slovene

pxwSPANISH	ANSISPAN	Pdox ANSI Spanish

pxwSWEDFIN	ANSISWFN	Pdox ANSI Swedfin

pxwTAIWANESE	ANTAIWAN	Pdox ANSI Taiwanese

pxwTHAI	ANTHAI	Pdox ANSI Thai

pxwTURK	ANTURK	Pdox ANSI Turkish


Supported dBASE Language Drivers

Description

The following table shows the language drivers you can use for dBASE tables.

Note: Internal language drivers names are case-sensitive.

Driver name	Internal	Language/DOS Code Page

dbCHINESE	DB936CN0	dBASECHScp936

dbCZECH	DB852CZ0	dBASECSYcp852

dbCZECH2	DB867CZ0	dBASECSYcp867

dbDANISH	DB865DA0	dBASEDANcp865

dbDUTCH	DB437NL0	dBASENLDcp437

dbDUTCH2	DB850NL0	dBASENLDcp850

dbFINNISH	DB437FI0	dBASEFINcp437

dbFRENCH	DB437FR0	dBASEFRAcp437

dbFRENCH2	DB850FR0	dBASEFRAcp850

dbFRENCHCAN	DB863CF1	dBASEFRCcp863

dbFRENCHCAN2	DB850CF0	dBASEFRCcp850

dbGERMAN	DB437DE0	dBASEDEUcp437

dbGERMAN2	DB850DE0	dBASEDEUcp850

dbGREEK2	DB437GR0	dBASEELLGR437

dbHUNGARIAN	DB852HDC	dBASEHUNcp852

dbITALIAN	DB437IT0	dBASEITAcp437

dbITALIAN2	DB850IT1	dBASEITAcp850

dbKOREAN	DB949KO0	dBASEKORcp949

dbNORWEGIAN	DB865NO0	dBASENORcp865

dbPOLISH	DB852PO0	dBASEPLKcp852

dbPORTUGUESE	DB860PT0	dBASEPTGcp860

dbPORTUGUESE2	DB850PT0	dBASEPTBcp850

dbRUSSIAN	DB866RU0	dBASERUScp866

dbSLOVENE	DB852SL0	dBASESLOcp852

dbSPANISH	DB437ES1	dBASEESPcp437

dbSPANISH2	DB850ES0	dBASEESPcp850

dbSWEDISH	DB437SV0	dBASESVEcp437

dbSWEDISH2	DB850SV1	dBASESVEcp850

dbTAIWANESE	DB950TW0	dBASECHTcp950

dbTHAI	DB437TH0	dBASETHAcp437

dbTURK	DB857TR0	dBASETRKcp857

dbUK	DB437UK0	dBASEENGcp437

dbUK2	DB850UK0	dBASEENGcp850

dbUS	DB437US0	dBASEENUcp437

dbUS2	DB850US0	dBASEENUcp850

dbWINES0	DBWINES0	dBASEESPANSI

dbWINUS0	DBWINUS0	dBASEENUANSI

dbWINWE0	DBWINWE0	dBASEENGANSI


Error dialog
BDE Configuration Utility Error

Read the Error dialog box to determine the source of the error.  If you need more help:

1.	Click the Help utility Search button.

2.	Enter the first few words of the error message you received in the Search text box.

HELP displays the name of the related help topic.

3.	Select the topic, then choose Go To.

When you are ready, select OK in the error message window and try the operation again.


SQLQRYMODE Settings

Setting	Meaning
NULL (blank setting)	(Default mode) Query goes first to the SQL server. If the server is unable to perform the query, it is performed at the Borland desktop.
SERVER	Query is sent to the SQL server. If the server is unable to perform the query, it fails.
LOCAL	Query is always performed at the desktop.


SQLPASSTHRU MODE Settings

Setting	Meaning
NOT SHARED  (blank setting)	Pass-through SQL and non-pass-through SQL do NOT share the same connection.
SHARED AUTOCOMMIT	Pass-through SQL and non-pass-through SQL will share the same connection, and (as long as you are not in an explicit client transaction or batch mode) pass-through SQL will be automatically committed.
SHARED NOAUTOCOMMIT	Pass-through SQL and non-pass-through SQL share the same connection, but pass-through statements will not be automatically committed.


Modifying an Alias

To modify an alias, highlight the alias and the parameter you want to change, then enter a new value in place of the old one.


Adding a New Alias

To create a new alias, click the New Alias button.which displays the Add New Alias dialog box. (The new alias starts with the default alias type: STANDARD.)

Enter a name for the new alias and select the desired alias type.


Deleting an Alias

To delete an alias, highlight the alias you want to delete, then click the Delete Alias button. Reconfirm by clicking Yes in the Delete Alias dialog box.


Could not open the configuration file
Could not open the configuration file.

The BDE Configuration Utility was unable to open the configuration file you specified.  The file may be the wrong type (not a .CFG file), or it may be corrupted.

Click OK in the BDE Configuration Utility error message screen, then try your operation again with a different configuration file.


Could not modify the configuration file
Could not modify the configuration file.

The BDE Configuration Utility was unable to over-write your old configuration file with the changes you just made.

If you want to save the changes you made this session, click OK in the BDE Configuration Utility error message screen.  Then use File | Save As to save your changes in a configuration file with a different name.


The minimum buffer size must be a number between
The minimum buffer size must be a number between 32 and 65535.

MINBUFSIZE is the minimum amount of memory for the database data cache, in kilobytes.  The parameter is set on the BDE Configuration Utility's System page.

You tried to set a MINBUFSIZE that was not an integer between 32 and 65535.  Click OK in the BDE Configuration Utility error message screen, then try your entry again.

Note:	Do not separate thousands with commas or periods; for example, do not write 65535 as 65,535.


The maximum buffer size must be a number between
The maximum buffer size must be a number between 32 and 65535.

MAXBUFSIZE is the maximum amount of memory for the database data cache, in kilobytes.  The parameter is set on the BDE Configuration Utility's System page.

You tried to set a MAXBUFSIZE that was not an integer between 32 and 65535, was not greater than the setting for MINBUFSIZE, was not a multiple of 128, or was not less than (or equal to) the total amount of RAM available to Windows.   Click OK in the BDE Configuration Utility error message screen, then try your entry again.

Note:	Do not separate thousands with commas or periods; for example, do not write 65535 as 65,535.


The minimum buffer size must not be greater than
The minimum buffer size must not be greater than the maximum buffer size.

MINBUFSIZE is the minimum amount of memory for the database data cache, in kilobytes.  The parameter is set on the BDE Configuration Utility's System page.

You tried to set a MINBUFSIZE that was greater than the setting for MAXBUFSIZE (maximum buffer size).  Click OK in the BDE Configuration Utility error message screen, then try your entry again.


The network control file directory must be a valid
The network control file directory must be a valid directory name.

The NETDIR setting specifies the directory where the Paradox network control file PDOXUSRS.NET is located.  The parameter is set on the BDE Configuration Utility's System page.

You entered a path for the PDOXUSRS.NET file that either does not exist, or does not contain the PDOXUSRS.NET file.  Click OK in the BDE Configuration Utility error message screen, then try your entry again.

If necessary, use the Windows File Manager File | Search command to locate your PDOXUSRS.NET file.


The decimal separator and the thousands separator
The decimal separator and the thousands separator have been set to the same character.

The DECIMALSEPARATOR setting specifies the character used to separate the decimal portion of a number from its integer portion.  (For example, the period in 3.14.)  The THOUSANDSEPARATOR setting specifies the character used to separate large numbers into their "thousands" components.  (For example, the comma in 1,000.)  Both settings are set on the BDE Configuration Utility's Number page.

The DECIMALSEPARATOR and THOUSANDSEPARATOR should use different characters.  Click OK in the BDE Configuration Utility error message screen, then try your entry again.


Invalid Configuration file format
Invalid Configuration file format.

You attempted to open a file that does not use valid configuration file format.  A configuration file always ends in .CFG.

Click OK in the BDE Configuration Utility error message screen, then try your operation again with a different file.


Configuration file is read-only
Configuration file is read-only.

You attempted to open a configuration file that cannot be modified through the BDE Configuration Utility.

Click OK in the BDE Configuration Utility error message screen, then try your operation again with a different file.


Error writing file
Error writing file.

The BDE Configuration Utility was unable to over-write your old configuration file with the changes you just made.

If you want to save the changes you made this session, click OK in the BDE Configuration Utility error message screen.  Then use File | Save As to save your changes in a configuration file with a different name.


Invalid alias name.  Please enter a valid
Invalid alias name.  Please enter a valid name.

You tried to enter an alias name that used one or more illegal characters.  Alias names should only contain alphanumeric characters.

Click OK in the BDE Configuration Utility error message screen, then try your entry again.


Duplicate alias name.  Please enter a
Duplicate alias name.  Please enter a new name.

You tried to give an alias a name already in use for another alias.  Every alias in a configuration file should have a unique name.

Click OK in the BDE Configuration Utility error message screen, then try your entry again.


Invalid driver name.  Please enter a valid
Invalid driver name.  Please enter a valid name.

You tried to enter an ODBC driver connection name that used one or more illegal characters.  ODBC driver connection names should only contain alphanumeric characters.

Click OK in the BDE Configuration Utility error message screen, then try your entry again.


Duplicate driver name.  Please enter a
Duplicate driver name.  Please enter a new name.

You tried to give an ODBC driver connection a name already in use for another ODBC driver connection.  Each ODBC driver connection in a configuration file should have a unique name.

Click OK in the BDE Configuration Utility error message screen, then try your entry again.


ODBC is not installed.  You cannot add
ODBC is not installed.  You cannot add a driver.

The BDE Configuration Utility could not find the ODBC dynamic link library (IDODBC01.DLL).  This .DLL is commonly installed in \IDAPI, your BDE application's home directory, or the \WINDOWS\SYSTEM directory.

Click OK in the BDE Configuration Utility error message screen, then check to see if IDODBC01.DLL is anywhere on the workstation hard disk.  If you find the .DLL in a different directory other than those mentioned above, try moving it to your \IDAPI directory.  Then re-start the BDE Configuration Utility and try your operation again.

If you continue to have problems, you may need to reinstall your BDE application.


Please select an ODBC driver name
Please select an ODBC driver name.

You tried to create an ODBC driver connection without specifying an ODBC driver.

Click OK in the BDE Configuration Utility error message screen, then try your operation again.  Use the pull-down list in the Default ODBC Driver field to find an ODBC driver for your connection.

If you cannot find the ODBC driver you want, it may not be installed properly.  For further information, see your ODBC driver documentation.


Please select an ODBC data source name
Please select an ODBC data source name.

You tried to create an ODBC driver connection without specifying an ODBC data source name.

Click OK in the BDE Configuration Utility error message screen, then try your operation again.  If there is more than one possible data source for your ODBC driver, use the pull-down list in the Default Data Source Name field to find the one you want.

If you cannot find the ODBC data source you want, it may not be configured properly.  For further information, see your ODBC driver documentation.


You can delete only ODBC drivers
You can delete only ODBC drivers.

You just directed the BDE Configuration Utility to delete a driver from your current configuration file.  The only kind of driver you can add to or delete from the drivers list is an ODBC driver connection.  This is because you do not install an ODBC driver connection independently from the BDE application, but create it through the BDE Configuration Utility itself.

To cancel this operation, click OK.


File was not merged
File was not merged.

The BDE Configuration Utility was unable to merge information from the file you specified, into your current configuration file.  You may have specified a file that was not the correct format for the Configuration Utility (e.g., did not end in .CFG).

Click OK in the BDE Configuration Utility error message screen, then try your operation again.  Be sure to specify a file that ends in .CFG.


An error occurred while loading ODBC
An error occurred while loading ODBC.


Error initializing the BDE
Error initializing the BDE.


Share must be loaded to initialize the BDE
Share must be loaded to initialize the BDE with Local Share set to TRUE.

You tried to run a BDE application whose LOCAL SHARE setting HERE:


Error loading specified resource
Error loading specified resource.


Error allocating memory
Error allocating memory.


Not enough memory to run BDECFG.EXE
Not enough memory to run BDECFG.EXE.


Could not load language driver DLL
Could not load Language Driver DLL.


System configuration file not found
System configuration file not found.


You have the maximum number of
You have the maximum number of drivers defined.


ODBC is corrupt or not installed
ODBC is corrupt or not installed correctly.

The BDE Configuration Utility could not use the ODBC dynamic link library (IDODBC01.DLL).  This .DLL is commonly installed in \IDAPI, your BDE application's home directory, or the \WINDOWS\SYSTEM directory.  The file is either corrupted or not installed correctly.

Click OK in the BDE Configuration Utility error message screen, then check to see if IdODBC01.DLL is anywhere on the workstation hard disk.  If you find the .DLL in a different directory other than those mentioned above, try moving it to your \IDAPI directory.  Then re-start the BDE Configuration Utility and try your operation again.

If you continue to have problems, you may need to reinstall your BDE application.


Your ODBC Driver Manager is not up-to-date
Your ODBC Driver Manager is not up-to-date.  The BDE requires Version 2 or greater of ODBC.

Connecting from a BDE application to an ODBC data source requires your BDE application, a BDE alias, a vendor-supplied ODBC driver, and Version 2.0 or later of the Microsoft ODBC Driver Manager.

See your database administrator for assistance.